			     BZFlag Release Notes
			     ====================

BZFlag 2.4.26  "Tanksgiving" (2022-11-20)
-----------------------------------------

* Fix incorrect rotation math for API custom zones
    - Alfredo Tupone, Vladimir Jimenez
* Do not block on TCP recv - Alfredo Tupone
* Fix select() block timeout, reducing CPU usage - DeathByDenim
* Fix rendering regression that displayed skewed textures
    - Alfredo Tupone, Agatha
* Fix positional audio direction when in observer mode - Scott Wichser
* Fix audio pops - Scott Wichser
* Fix Machine Gun firing continuously when mouse wheel is bound to fire
    - Scott Wichser


BZFlag 2.4.24  "Thank you for your input" (2022-03-08)
------------------------------------------------------

* Don't crash when removing the BZFS Cron server-side player - Scott Wichser
* Announce who adjusted the countdown with /modcount - Vladimir Jimenez
* Add support for Apple silicon builds - René Schwaiger, Joshua Bodine
* Work around an SDL 2.0.20 event handling regression - Alfredo Tupone
* Do not explicitly link to X11 when using SDL - Alfredo Tupone


BZFlag 2.4.22  "Eyes are windows to your SDL" (2021-02-27)
----------------------------------------------------------

* Fix many issues with SDL 2 window management - Joshua Bodine, Scott Wichser
* The playHistoryTracker plugin now tracks kills correctly - Scott Wichser
* Local shotID was not being set in bz_eShotFiredEvent - Agatha
* Send active autopilot statuses to a joining player - Scott Wichser
* Fix solo bots being kicked when rejoining to a server - Scott Wichser
* Fix the backspace key not working on the bzadmin Curses menu - Scott Wichser


BZFlag 2.4.20  "Do You See What I See?" (2020-04-24)
----------------------------------------------------

* Reorganization of the menus to improve usability - Scott Wichser
* Add bz_isWithinWorldBoundaries to API - Vladimir Jimenez
* Use teleporter names in /saveworld .obj exports - Vladimir Jimenez
* Add bz_getSpawnPointWithin to API - Vladimir Jimenez
* Fix NetHandler compiler errors on Alpine Linux - Jim Melton
* Significantly improve platform-dependent header imports - Jim Melton
* Only perform texture conversion to internal format once
    - Alfredo Tupone, Scott Wichser
* Removal of never used logic for expiring builds - Zehra
* Radar size and console height are controlled with BZDB variables - The Noah
* Add bz_getNearestFlagSafetyZone to the API - Vladimir Jimenez
* Don't allow hunt to be used when not connected to a server - Zehra
* Improve vsync settings with SDL2 - Joshua Bodine
* Ignore the -NSDocumentRevisionsDebugMode YES option in Xcode - Joshua Bodine
* Add Slovak translation - Jose Riha, Scott Wichser
* Use a greyscale color scale based on relative height when colored radar shots
    are disabled - Alfredo Tupone
* Sort locally discovered servers to the top of the server list - Scott Wichser
* Add the Open Free For All mode to the Start Server menu - Scott Wichser
* Remove ineffective performance tests and just default to "modern" settings
    - Scott Wichser
* Change default settings to better suit first time players - Scott Wichser
* Standardize the rabbit game mode name to "Rabbit Chase" - Scott Wichser
* Do not scale NPOT textures when OpenGL supports them - Alfredo Tupone
* Generate mipmaps with OpenGL 1.4 extension - Alfredo Tupone
* Fixed SDL 1.2 builds on macOS - Joshua Bodine
* Force zbuffer for Experimental quality - Alfredo Tupone
* Use GLEW to detect GL_EXT_texture_edge_clamp - Alfredo Tupone
* Add support for storing arbitrary data in API player records - Jeff Myers
* Fix API string utility functions sometimes losing values - Vladimir Jimenez
* Add new bz_ePlayerDeathFinalizedEvent API event - Vladimir Jimenez
* Display Time-per-Frame with 2 decimal digits and averaged over time
    - Alfredo Tupone
* Output correct error when loading a nonexistent bzfs plugin
    - Vladimir Jimenez
* Remove obsolete bzfs option from Start Server menu on Windows - Scott Wichser


BZFlag 2.4.18  "Do You Hear What I Hear?" (2018-10-18)
------------------------------------------------------

* Fix DirectSound initialization order so that sound on Windows works again
    - Scott Wichser


BZFlag 2.4.16  "Reduce, Reuse, Replay" (2018-09-23)
---------------------------------------------------

* Send MsgFlagGrab before API event is called - Jeff Myers, Vladimir Jimenez
* Correctly unmuted when paused and killed by server - Alfredo Tupone
* Format codebase to allman style - Jeff Myers, Scott Wichser
* Use GLEW for obtaining OpenGL entry points and checking for extensions
    - Alfredo Tupone
* Revert a80ab87 (truncation warning fix) as that generated broken replay file
    headers. Detect and work around that bad header.
    - Joshua Bodine, Vladimir Jimenez, Scott Wichser
* Use pkg-config, if available, to detect ncurses
    - Scott Wichser, Joshua Bodine, Alfredo Tupone


BZFlag 2.4.14  "Hello Motto" (2018-05-02)
-----------------------------------------

* Add new bz_eAllowServerShotFiredEvent to the API - Vladimir Jimenez
* Fix antialiasing when starting the client windowed - Joshua Bodine
* Update the Windows icon file to include larger icons - Scott Wichser
* Treat the number pad keys uniquely for key mapping with SDL2 - Scott Wichser
* Better cpu selection for x86_64 - Alfredo Tupone
* Fix build with enable-profile - Alfredo Tupone
* Add safety check when getting flags (bzfs) - Alfredo Tupone
* Add min/../max to drawTime - Alfredo Tupone
* Fix the -configdir option for the client - Scott Wichser
* Upgrade Windows projects to Visual Studio 2017 - Scott Wichser, Jeff Myers
* Improve support for custom BZDB vars in plug-ins - Vladimir Jimenez
* Fix truncation warnings - Jeff Makey, Alfredo Tupone
* Add new bz_ePermissionModificationEvent to the API - Vladimir Jimenez
* Introduce new 'showMotto' permission - Vladimir Jimenez
* Fix gcc warnings and code formatting - Jeff Myers, Scott Wichser
* Remove old BitmapFont renderer - Scott Wichser
* Add new bz_eServerShotFiredEvent to the API - Vladimir Jimenez
* Revamp the world weapon API entirely - Vladimir Jimenez
* Add PLAYER-MOTTO output to logDetail plugin - Scott Wichser
* Display remaining ban time when a banned player connects - Vladimir Jimenez
* Punitive messages no longer display admin callsigns - Vladimir Jimenez
* Slash commands in the API now know destination channel - Jeff Myers
* Allow building with lcc compiler on e2k-alt-linux - Joshua Bodine
* Fix ability to bind a key with a modifier through menu - Joshua Bodine
* Disallow -helpmsg from world files - Vladimir Jimenez


BZFlag 2.4.12  "Silence is Golden" (2017-10-29)
-----------------------------------------------

* Allow API to trigger CTF capture event - Vladimir Jimenez
* Allow setting default values for BZDB from API - Vladimir Jimenez
* Add bzu_getTeamFromFlag() convenience function - Vladimir Jimenez
* Add new functions to the bz_APIStringList - Vladimir Jimenez
* Add string utility functions to the API and TextUtils - Vladimir Jimenez
* Fixed an issue with ASCII characters from modified non-ASCII keys in SDL 2
    - Joshua Bodine
* Fixed compilation on macOS when using autotools/gcc - Mike Miller
* Don't send client queries on behalf of players - Vladimir Jimenez
* Removed pollSet as a default perm in bzfs - Vladimir Jimenez
* Player records canSpawn value no longer always returns true - Vladimir Jimenez
* bz_addURLJob() now supports setting HTTP headers - Vladimir Jimenez
* Made multisampling work on all platforms with SDL 1.2/2 - Joshua Bodine
* Add bz_eMuteEvent and bz_eUnmuteEvent to the API - Vladimir Jimenez
* Add configure --disable-server option - Jeff Makey
* Add bz_isPlayerAutoPilot() to the API - Vladimir Jimenez
* Add bz_eAutoPilotEvent to the API - Vladimir Jimenez
* Add bz_getServerOwner() API function - Vladimir Jimenez
* The _maxFlagGrabs BZDB setting is no longer a random number - Vladimir Jimenez
* Add API access for the handicap system - Jeff Myers, Vladimir Jimenez
* Remove Xcode references to deployment targets except for main project
    - Joshua Bodine
* Allow silencing unregistered players in the client - Scott Wichser
* Fix the /silence and /unsilence client commands - Scott Wichser


BZFlag 2.4.10  "This is How We Roll" (2017-03-12)
-------------------------------------------------

* Fix high DPI handling on Windows (again) - Scott Wichser
* Custom slash commands respect double quotes when tokenizing - Vladimir Jimenez
* Make /help page names case-insensitive - Vladimir Jimenez
* Extend bz_ePlayerDieEventData to v2 to hold flag held when killed - Jeff Myers
* Add bzfs API hooks for polls and allow custom poll types - Vladimir Jimenez
* Reduce DNS cache time of list server hostname - Scott Wichser
* Fix bz_addURLJob() to correctly handle default NULL handler - Vladimir Jimenez
* TextUtils::url_encode and TextUtils::url_decode now use cURL's functions; this
    change fixes a crash bug with bz_urlEncode() - Vladimir Jimenez
* Add bz_reloadBadwords() to API - Vladimir Jimenez
* Add ability to reload badwords list with '/reload badwords' - Vladimir Jimenez
* Source code now dual licensed under the MPL 2.0 or LGPL 2.1 - Tim Riker
* Added an option to invert one or both joystick axes - Joshua Bodine
* Multisampling support under SDL 2 on macOS - Joshua Bodine


BZFlag 2.4.8  "Sixteen" (2016-10-10)
------------------------------------

* Add Russian transliteration - Ruslan Hihin, Aleksandr Lahin
* Fix a regression in 2.4.6 where the client would not reduce CPU usage when
    minimized on Windows - Scott Wichser
* On autotools platforms, try to use SDL2, then SDL1, and then fall back to
    native platform code. Allow specifying an SDL version as well.
    - Scott Wichser
* Prevent some more bzfs options from being specified in a world file
    - Scott Wichser
* Cleaned up some GCC6 warnings - Scott Wichser
* Spawn all players on base when a timed game starts - Konstantinos Kanavouras
* Add indicator for -noTeamKill servers on server list - Konstantinos Kanavouras
* Send a notification to admins when a BZDB variable is reset
    - Konstantinos Kanavouras
* Increase the range of the volume slider - Konstantinos Kanavouras


BZFlag 2.4.6  "Eight, Our Codebase is Overweight" (2016-06-26)
--------------------------------------------------------------

* regFlag plugin now uses bz_eAllowFlagGrab event - Scott Wichser
* RogueGenocide plugin defaults to ignoring rogue self-kills - Scott Wichser
* Standardize and update the documentation for bundled plugins - Scott Wichser
* Add bz_getRandomPoint to API - Vladimir Jimenez
* Correctly handle the keypad keys with SDL2 - Jeff Makey, Scott Wichser
* Implement SOURCE_DATE_EPOCH spec in our autoconf system to work towards
  reproducible builds - Scott Wichser, Jeff Makey
* Include a timestamp in the /savemsgs output filename - Scott Wichser
* Added -t option to /savemsgs to add timestamps to messages - Scott Wichser
* Added a GUI option to show timestamps on the messages - Scott Wichser
* For SDL2, restore the original gamma on exit and reapply desired gamma on
    window recreation - Scott Wichser
* Use SDL2 on Windows for the window/display management - Scott Wichser
* Remove hiddenAdmin plugin - Vladimir Jimenez
* Add a cycleRadar and cyclePanel key binding command - Joshua Bodine


BZFlag 2.4.4  "Be My Valentank" (2016-02-14)
--------------------------------------------

* Correctly exit the game when closing from the Windows 10 taskbar
    - Scott Wichser
* Update the player status when a gameover event occurs - Scott Wichser
* Fix fullscreen window toggling on Mac OS X - Joshua Bodine
* Fix crash on exit with Windows bzfs - Scott Wichser
* Fix crash on exit with Mac OS X bzfs - Joshua Bodine
* Fix buffer overrun that caused a crash on exit and other strange behavior on
    Windows and Linux - Scott Wichser
* On Windows, reload textures after initializing the context - Scott Wichser
* Add a menu to edit server list quick filters - Scott Wichser
* Tell Windows that we are DPI aware - Scott Wichser
* Time functions in the bzfs API use doubles instead of int - Vladimir Jimenez
* Fix issue on Windows that allowed mouse to get stuck off-screen when switching
    to windowed mode - Scott Wichser
* Replace NaN with zero in nboUnpackFloat() - Jeff Makey
* Add a bz_ChatEventData_V2 that contains message type - Konstantinos Kanavouras
* Show recipient/sender for private action messages in BZAadmin
    - Konstantinos Kanavouras
* Server list filter: remove "cached" boolean filter, rename "flags" to "ffa",
    "teams" to "ctf", and add "offa" - Scott Wichser
* Add server list filter help pages - Scott Wichser
* Add config option to control shot brightness - Konstantinos Kanavouras
* Don't show a running countdown to a player who joins a paused game
    - Konstantinos Kanavouras
* Allow RGB values in ANSI color codes to allow custom colors
    - Konstantinos Kanavouras
* Vastly improved support for changing tank and radar colors
    - Konstantinos Kanavouras
* Fix rendering of TK warning symbol - Joshua Bodine
* Remove third-party libraries from our source tree - Scott Wichser
* Fix search field losing focus while loading server list - Joshua Bodine
* Do not count observers when sorting the server list - Scott Wichser
* Randomize the order of servers with identical player counts - Scott Wichser
* Mouse grab/confine fixes - Joshua Bodine, Scott Wichser
* Improvements to flagStay and rabidRabbit plugin - Vladimir Jimenez
* Joystick hat fixes - Konstantinos Kanavouras
* Update shot stats live - Konstantinos Kanavouras
* Track shot stats for all flag types, even custom flags
    - Konstantinos Kanavouras
* Filter messages before MsgEnter - Jeff Myers
* Require a player have spawned to be added to rejoin wait list - Jeff Makey
* Validate the player ID in MsgPlayerUpdate and MsgPlayerUpdateShort
    - Scott Wichser
* Fix usage of privateMessage permission - Konstantinos Kanavouras
* Properly prevent multiple MsgEnter messages - Jeff Myers
* Refactor and extend the shot API - Jeff Myers
* Autokick on unknown packet type - Vladimir Jimenez
* Block whitespace-only message and kick for garbage characters - Scott Wichser
* Validate teleporter index in client and server - Scott Wichser
* Limit half-joined player connection duration - Scott Wichser
* Add various checks for invalid player actions - Jeff Makey
* Show coordinates of target tank instead of observer camera location
    - Jeff Makey
* Allow shot API event to cancel broadcasting shot to other clients - Jeff Myers
* Store a list of how many times each player was killed by other players and
    expose it to the API - Jeff Myers
* Allow plugins delay adding players to allow for remote data lookups
    - Jeff Myers
* Add API event triggered when authentication is complete - Jeff Myers
* Added bz_GetPlayerMottoData_V2 - Jeff Myers
* Relicense the SAMPLE_PLUGIN to BSD 2 clause license - Jeff Myers, Tim Riker
* Update joystick axis list when changing joystick device
    - Konstantinos Kanavouras
* List server communication now uses HTTPS - Scott Wichser
* Added bz_setPlayerSpawnAtBase and bz_getPlayerSpawnAtBase API functions
    - Vladimir Jimenez
* Added configure --enable-custom-plugins and --enable-custom-plugins-file
    options - Jeff Makey
* Introduce bz_AllowSpawnData_V2 - Vladimir Jimenez
* Added bz_setPlayerSpawnable and bz_isPlayerSpawnable API functions
    - Vladimir Jimenez
* Removed GLEW as a dependency - Joshua Bodine, Scott Wichser
* Made text at top of HUD use sans-serif font and removed serif font
    - Joshua Bodine
* Player scores are now factors in auto team assignment - Joshua Bodine
* New font rendering tool and new font textures up to 64pt - Joshua Bodine
* Added bz_getPlayerBySlotOrCallsign API function - Vladimir Jimenez
* Have custom permissions show in /showperms and /groupperms - Vladimir Jimenez
* Start adding unit tests with CppUTest - Scott Wichser
* CIDR ban support - Scott Wichser
* Radar size and panel size are now set individually  - Joshua Bodine
* Added bz_incrementTeamLosses and bz_incrementTeamWins API functions
    - Vladimir Jimenez
* Vertical sync support under SDL - Joshua Bodine, Jeff Makey
* SDL 2 support - Alfredo Tupone, Joshua Bodine
* Do not flash GAME OVER for observers - Jeff Makey
* Validate the teleporter indexes in MsgTeleport - Scott Wichser
* Correctly validate an offered admin password - Jeff Makey
* Added "showAdmin" permission - Vladimir Jimenez
* Added countdown pause/resume API events - Vladimir Jimenez
* Added bz_getCountdownRemaining API function - Vladimir Jimenez
* Added bz_getPausedTime API function - Vladimir Jimenez
* Added bz_isCountDownPaused API function - Vladimir Jimenez
* Added bz_getIdleTime API function - Vladimir Jimenez
* Added bz_getPlayerFlagID API function - Vladimir Jimenez
* Added bz_isAutoTeamEnabled API function - Vladimir Jimenez
* Added bz_cancelCountdown API function - Vladimir Jimenez
* Added bz_pollActive API function - Vladimir Jimenez
* Added bz_CustomZoneObject API class - Vladimir Jimenez
* Added CustomZoneSample plugin - Vladimir Jimenez
* Added permission for /listplugins - Vladimir Jimenez
* Allow API to overload built-in slash commands - Vladimir Jimenez
* Added "report" permission - Vladimir Jimenez
* Added bz_eGameResumeEvent and bz_eGamePauseEvent to the API
    - Vladimir Jimenez
* Don't allow muted players with ADMINMESSAGESEND to send PMs to hidden admins
    - Konstantinos Kanavouras, Vladimir Jimenez
* Add [Reverse Score] scoreboard sort option - Konstantinos Kanavouras
* Track number of self-kills on the scoreboard - Konstantinos Kanavouras
* Added menu option to pause chat window scrolling - Konstantinos Kanavouras
* Added "noteam" option for "/flag reset" command - Konstantinos Kanavouras
* Added option to bz_resetFlags to skip team flags - Konstantinos Kanavouras
* Implemented "/poll kill" command - Konstantinos Kanavouras
* Added "/countdown cancel" command - Konstantinos Kanavouras
* Added serverSidePlayerSample plugin - Jeff Myers
* Fix fancy radar tank when zoomed - Kyle Mills
* Added /handicap command - Frank Thilo
* Reverted to traditional handicap calculation - Frank Thilo
* Add bzfscron plugin to execute commands on time intervals
    - Daniel Remenak, Scott Wichser
* Server-side players can send slash commands - Scott Wichser
* Added server side shot tracking - Jeff Myers
* Added clientQuery permission - Konstantinos Kanavouras
* Added superUser plugin - Jeff Myers
* Added bz_getPlayerCount API function - Jeff Myers
* Added bz_incrementPlayerWins API function - Jeff Myers
* Added bz_incrementPlayerLosses API function - Jeff Myers
* Added bz_incrementPlayerTKs API function - Jeff Myers
* Make players respawn on bases after countdown ends - Lee Marshall
* Countdown now resets player scores as well as team scores - Lee Marshall
* Fully integrated Xcode project file - Joshua Bodine


BZFlag 2.4.2  "Doomsday Edition" (2012-07-28)
---------------------------------------------

* Added UPnP option to configure server networking - Alfredo Tupone
* Added an option to have both leading and lagging radar shot lines
    - David Anderson
* Prevent prohibited solo bots from joining, rather than kick afterward
    - Scott Wichser, Jeff Makey
* Add thiefControl plugin which prevents stealing flags from teammates
    - Bernt Hansen, Scott Wichser
* Preserve shot-limited flag behavior on final shot - David Anderson
* Remove the -zoom command line option from bzflag - Jeff Makey
* Provide observer team chat in OpenFFA mode - David Anderson
* Add fairCTF plugin - Chris Wible
* Allow plugins to specify a color when firing world weapons - Chris Wible
* Add option for chat on the left and radar on the right - Kyle Mills
* Add autoFlagReset plugin - Chris Wible
* Allow joystick hats as input on Evdev, SDL, and Windows platforms
    - Kyle Mills and Jeffery Myers
* Added Fastmap Plugin - Jeffery Myers


BZFlag 2.4.0  "Wake the Dead" (2011-07-03)
------------------------------------------

* Shot messages are synchronized with position - Alfredo Tupone
* Added /playerlist for everyone - Thomas Stauer
* Added message type for properly handling /me actions - Scott Wichser
* Added BZDB option to hide flags on radar server side - David Anderson
* Removed /setpass /register /identify - David Anderson
* Handicap is computed on the server - Alfredo Tupone, Bernt Hansen
* Allow plugins to register custom flag types - Daniel Remenak
* Forced *image.bzflag.org for image downloads until user sets
  otherwise - David Anderson
* Accepted patch from McSpider, added OpenFFA - David Anderson
* Removed -requireUDP, now it is always required - David Anderson
* Accepted patch from McSpider, removed client option to turn off fog
    - David Anderson
* Accepted patch from McSpider, added -noTeamKills option - David Anderson
* Removed -3Dfx, -no3Dfx. Moved -geometry ->  -window <geometry-spec>
    - David Anderson
* Add ricochet on a per object basis for .bzw files - trepan, David Anderson
* serverControl plugin- Add option to ignore observers for server shutdowns
    - Bernt Hansen
* serverControl plugin- Only report ban file access errors once - Bernt Hansen
* serverControl plugin- Limit filesystem checks to once every 3 seconds
    - Bernt Hansen
* LogDetail plugin-Add SERVER-MAPNAME with the public server description
    - Bernt Hansen
* The bzfs -time command line option allows end time - Scott Wichser, Ian Agar
* screenshots now compressed asynchronously - Daniel Remenak, randomparticle
* Add /serverdebug command and plugin API - Bernt Hansen
* Add bzfs -utc command line option to log timestamps using universal time
    - Bernt Hansen
* Fix buffer overrun when using -ts micros on Linux - trepan, Bernt Hansen
* Only players with POLL permission are eligible to vote - Bernt Hansen
* Only allow a single end shot credit for holding the shield flag
    - Bernt Hansen
* Do not inform hunters of stealthy prey - Ian Agar
* All scores are controlled completely by the server - Daniel Remenak
* Relabel player "email" string as "motto" - Jeff Makey
* Require TALK privilege for player motto to be broadcast - Jeff Makey
* Always require valid authentication for registered names
    - Jeff Myers, Scott Wichser
* Move flag identification server side - Alfredo Tupone, Jeff Myers,
    Frank Evers, Scott Wichser
* GM sanity checks - Alfredo Tupone
* Added the -publickey requirement for publicly listed servers (and renamed
  the bzfs -public option to -publictitle) - trepan, Jeff Myers


BZFlag 2.0.16  "No Foolin'" (2010-04-01)
----------------------------------------

* Fix command line options in Windows launcher - Scott Wichser
* Fix regression in protocol handling by server - Jeff Makey, Scott Wichser
* Add bullet tails as seen out the viewport - trepan
* Add observer mouse controls for roaming and tracking modes - trepan
* Add the /forceradar client-side command for observers - trepan
* Minor cleanup of source and build system - Jeff Makey
* Explicitly link to the dl library when needed - Jeff Makey
* Remove unused dependency on Xi library - Jeff Makey
* Clarify copyright assignment terms for developers - Jeff Myers
* Allow only one Enter message per player instance - Jeff Makey
* Add TimeLimit plugin - Steven Mertens
* Remove broken vocaliser and obsolete torBlock plugins - Jeff Myers


BZFlag 2.0.14  "This isn't the release you are looking for." (2010-02-15)
-------------------------------------------------------------------------

* Add Options -> Display -> AntiFlicker option - trepan
* Add Options -> Input -> Confine Mouse (MotionBox) - trepan
* Adjust advanced ground rendering for texture flicker - trepan
* Change the default stencil bitplanes to 1 to fix stencil shadows and various
  other stencil features - trepan
* Backport fix for /idbanlist and /hostbanlist crashes - trepan
* Add support for gcc-4.4 and libtool-2.2 - Jeff Makey
* Update to Microsoft Visual C++ 9 from 8.0 - Jeff Myers
* Update to directInput 8 from 7 - Jeff Myers
* Fix player ghosting failure - Steven Mertens
* Provide API support for using bz_moveFlag on team flags - Scott Wichser
* Add pushstats plugin for future statistics gathering system - Jeff Myers
* Increase restrictions on incompletely joined players - Jeff Myers, Scott W.
* Announce saved file name in recordmatch plugin - Jeff Makey
* Fix buffer overflow in menu subsystem - Jeff Myers
* Fully support glob-style wildcards in hostbans and make name comparisons
  case insensitive - Bryan Jennings
* Properly limit maximum message size in /showgroup command - Jeff Makey
* Reset team scores in case of a capture during a countdown - Jeff Makey
* Block spoofed /me messages - Scott Wichser
* Keep flags within the world boundary - Jeff Makey
* Add the "roamView" BZDB variable - trepan
* Change fonts to DejaVu - Jeff Myers, Tim Riker
* Source cleanup - Tim Riker


BZFlag 2.0.12  "The release without a name." (2008-06-25)
---------------------------------------------------------

* Fix build with -ffast-math avoiding use of isnan for fog - Alfredo Tupone
* libGLEW requirement controlled by --with-glew - Alfredo Tupone
* Actually build with SDL_Image, if required - Alfredo Tupone
* Remove extra dir separator from cache entries - Jeff Myers
* Configurable "defaultFOV" (60 deg) for widescreen users - Jeff Myers
* Adjust shown coordinate for observers - Jeff Myers
* Use the foghack only if the config says - Jeff Myers
* Queue spawns after flag captures - l4m3rthanyou, pacman97
* Fix kill callback when is coming from server - Jeff Myers
* Fix intermix of chat messages and api callback - Jeff Myers
* Various permission fixes - Jeff Myers
* Plugins path fixed - Jeff Makey
* Kerberos and thread removed (never used) - Alfredo Tupone
* Event log fixed - Jeff Myers
* Workaround to a driver bug - Jeff Myers
* Correctly interface with c-ares 1.5.1 and lower - Alfredo Tupone
* Not showing a "new rabbit" message when player ID == NoPlayer - Scott Wichser
* gcc-4.3 fixes - Tim Riker, Alfredo Tupone
* MacOSX: Consistent search of resource files - Sean Morrison
* MacOSX: update the project to XCode 2.4.1 - Sean Morrison
* Added _countdownResumeDelay to control resume delay. - Thomas Stauer
* Slot numbers on scoreboard now appear regardless of hideAdmin - Joshua Bodine


BZFlag 2.0.10  "Never Say Never" (2007-11-16)
---------------------------------------------

* Fix for memory leaks - Bernt Hansen
* Word filtering is case insensitive - Joshua Bodine
* Added a work around for buggy DRI open source ATI drivers and the
  narrow flag - Jeff Myers
* Add /modcount command - Joshua Bodine, Anonymous
* Fix bug where users get locked into autopilot mode - Joshua Bodine
* Fix bug where poll results would not be announced - Joshua Bodine
* Fix antikill notice bug - Joshua Bodine
* Add -adminlagannounce and -lagannounce - Thomas Stauer
* Check for talk permission for part/quit messages - uso
* First map no longer ignored in Start Server menu - Ravu al Hemio
* Implemented Confine Mouse for Windows platforms - Daniel Remenak
* Implemented fullscreen->windowed mode toggle on Windows - Daniel Remenak
* Add the rabidRabbit plugin - LouMan
* Add packet loss kick and related admin commands - Thomas Stauer
* Reclaim lost memory from sound sample - Tupone Alfredo
* Fixed bashism on debian rules - Ryan Kavanagh
* Add the rabbitTimer plugin - L4m3r
* Fix some segfaults when re-joining - Tupone Alfredo
* Compliance with gcc-4.2 - Tupone Alfredo
* Fix the build system to be more distro friendly - Tupone Alfredo
* Plugins get flag resets/spawns/grab/drop/transfer - Jeff Myers, Bernt Hansen
* Fix compiler problem with gcc-4 - Tupone Alfredo
* Fixed high fps problem - Frank Thilo
* Added more info for observers - Jeff Myers, Frank Thilo
* torBlock plugin added - Jeff Myers, Scott Wichser
* Optionally use mesh position and height for radar - Thomas Stauer
* Add the regFlag plugin - Bernt Hansen
* Fix memory leak from cURL - Scott Wichser
* Add the Phoenix plugin - Jeff Myers
* Add favorite server - Frank Thilo
* SDL sound rate fix - Alfredo Tupone
* add bzID and server status to logDetail plugin - Bernt Hansen
* Add -tkannounce to announce tk on admin channel - Bernt Hansen
* Add the serverControl plugin - Bernt Hansen
* Add keepaway plugin - LouMan
* API calls to reset bzdb - Jeff Myers
* API call to get the player pause state. - Jeff Myers
* API calls to reload bans, and other files - Jeff Myers
* API event for shot ends - Jeff Myers
* API command to move a flag - Jeff Myers
* add API exposure for lag, jitter, and packetloss - Jeff Myers
* Add koth plugin - LouMan
* Add timedctf plugin - LouMan
* Add teamflagreset plugin - LouMan
* Add wwzones plugin - LouMan
* flagStay plugin added - Jeff Myers
* Give everyone notice of pause messages - Jeff Myers
* Fix for /silence command - Skeeve
* Fix mousebox edge positioning - Mark Thomas
* Fixed on spanish localization - xukosky@yahoo.es
* Instructions to fix sound on ALSA added - Tupone Alfredo
* Change filename format for easier location of matches - uso
* Adding jitter kick and related admin commands - Thomas Stauer
* Global banlist reload with local banlist - uso
* Fix to spawned and lag attributes in bz_updatePlayerData - Matthew Marshall
* Ability to change the killer in a PlayerDieEvent - Matthew Marshall
* Added shotID to bz_PlayerDieEventData - Matthew Marshall
* Expose the countdown and game time stuff to the api - Jeff Myers
* Backport the record stop function from 2.1 - Jeff Myers
* Backported WW GMs from 2.1 - Matthew Marshall
* Converts box & pyramids to mesh if required - Anonymous
* Allows leading face specification (x+,x-,y+,y-,z+,z-) - Anonymous
* Authorization is invariant to case - Anonymous


BZFlag 2.0.8  "Oops, Happy Mother's Day" (2006-05-13)
-----------------------------------------------------

* Add a plugin to record matches - Jeff Myers.
* Add an option to send out a UDP heartbeat message for observers behind flakey
  routers - Jeff Myers
* Replaced admin message sound - Sean Morrison
* Client and server now close http connections correctly - Daniel Remenak
* Fixed crash when rogue autopilot picks up a team flag - Daniel Remenak
* Fixed spawnpoint selection regression - Sean Morrison


BZFlag 2.0.6  "Good enough for now" (2006-04-09)
------------------------------------------------

* game variables no longer accept invalid values. - Jeff Myers
* Special Effects use tank (was team) color - Karsten Behrmann, Jeff Myers
* /reset uses the values from the config and the map as default - Jeff Myers
* Sreenshots now remember where they left off - Jeff Myers, Thomas Sowell
* Have windows dump std::error out to a file - Jeff Myers
* Various API enhancements - Jeff Myers and others ( from patches )
* Not applauding when capturing his own flag - Alfredo Tupone
* Fixing crash on invalid captured flag - Alfredo Tupone
* Fixed bots on a public server - Alfredo Tupone
* Don't send admin the server password when wrong - Alfredo Tupone
* Client config file can be saved on request - Alfredo Tupone
* Allow for longer help files (50 lines) - Angelina Carlton
* Allow selective /reload of databases - Bernt Hansen
* Fix wrong kick if pausing having V and moving - Julio Jimenez
* Prevent long distance tank warping through walls - Sean Morrison
* Display paused state when screen capturing while playing - Sean Morrison
* Added new logDetail plugin - Bernt Hansen
* Fixed issue with denial-of-service message attacks - Sean Morrison
* Support for -window on Mac command line executions - Sean Morrison
* Show slot numbers in lagstats (if admin) - Mark Thomas, Mike Weisenborn
* FPS limit energy saver option for laptops - Karsten Behrmann, Sean Morrison
* Send admin channel warning if /password fails - Garrett Padera, Jeff Myers
* Known players not authenticated are detected - Tupone Alfredo
* Added /checkip command - Frank Thilo
* "Enable Local Shot/Spawn Effects" affects "Driving with" - Daniel Remenak
* Show shot reload indicators when driving with a tank - Daniel Remenak
* Fix misc/bzfquery.pl to handle MsgGameTime - Tegan, Mark Thomas
* Simple server list searching - Daniel Remenak
* Added GUI option for email display length - Mark Thomas


BZFlag 2.0.4  "Shiny" (2005-09-30)
----------------------------------

* Fixed server join bug when cached worlds disappear - Sean Morrison
* Prevent phantom zoned players from pausing - Sean Morrison
* Implemented multiple player hunt - Mark Thomas
* Directional keys pressing works, even in joy/mouse mode - Tupone Alfredo
* Jitter compensation removed. Too bad behaviour on ME players - Tupone Alfredo
* Put spawn params in BZDB to let server owners mod them as needed - Jeff Myers
* Fixed ban admin bug - Julio Jimenez
* Added /sendhelp command - Mike Weisenborn, Mark Thomas
* /ban /hostban take time keywords (short ...) too - Jeff Myers, Alfredo Tupone
* Inertia style indication is no longer used - Alfredo Tupone
* No more restriction on M (Momentum) flag - Alfredo Tupone
* Fixing authentication when changing callsign/password - Alfredo Tupone
* Fixing authentication when joining from command-line - Alfredo Tupone
* Executing abbreviated server command '*' terminated - Alfredo Tupone
* Getting one-line-help on server command '?' terminated - Alfredo Tupone
* Fixing bzflag use of system-wide regex (--without-regex) - Alfredo Tupone
* Adding destination info to chat message log - Alfredo Tupone
* Adding syntax check to duration parameter of ban cmds - Alfredo Tupone
* Hud outlines go transparent with the hud panel - Jeff Myers, Daniel Mulford
* Better progress info when downloading textures - Garrett Padera, Jeff Myers
* Add Quake3 BSP import to modeltool - Jeff Myers
* Exit BZFS if -g is used with -mts or -mps -  Joshua Rogers
* Experimental server colorizing in server list - Frank Thilo
* Added sort options to "/replay list" and "/record list" - Mark Thomas
* Map mismatch fixed - Alfredo Tupone
* Quick server command key works better - Alfredo Tupone
* Default server side plugins added to windows build - Jeff Myers
* Include web token verification script - Garrett Padera
* Fix texture cache on windows. - Jeff Myers
* Disallow + or @ as first char of callsign (bzfs) - Mark Thomas
* Wait for reverse DNS and authentication to enter game - Alfredo Tupone
* Antiban works even on IP number - Alfredo Tupone
* Sort lagstat to have non-observer at the bottom - Thomas Stauer
* Authentication credential are requested asap - Alfredo Tupone
* Allow the use of game device sliders as axes on Windows - Daniel Remenak
* Directional force feedback support - Daniel Remenak
* New icon and menu arrow - Harry Keller, Jeff Myers
* Special effects for many events - Jeff Myers, Daniel Remenak
* Server-side plugin API and plugins - Jeff Myers
* Join menu displays team icon - Daniel Remenak, Harry Keller
* Implemented "-advertise" option for bzfs - Mark Thomas
* The url now does not contain the password (sent with POST) - Tupone Alfredo
* Fixing Tiny tank shooting from the world edge - Tupone Alfredo
* Fixing client requesting lan server on some systems - Tupone Alfredo
* Observer are no more hunted - Tupone Alfredo
* Added 'Always Show Team Scores' option (GUI Options Menu) - Mark Thomas
* Added beautify scores - Julio Jimenez
* Added scoreboard sort option - Mark Thomas, Karsten Behrmann
* Shots fired over the boundary wall end at the wall - Daniel Remenak
* Increase range of radar size setting in GUI Option menu - Mark Thomas
* Fixed Menu rendering when radar size is great - Sean Morrison, Mark Thomas
* Fixed Linux name resolution (server list) problem - Sean Morrison
* Fixed Jitter problem on Windows, clock was wrong - Alfredo Tupone
* Windows platform can switch from SDL to native - Alfredo Tupone
* Instruction for X-build from linux to windows - Alfredo Tupone
* bzflag is much less blocking with libcurl - Alfredo Tupone
* Using c-ares instead of adns for DNS resolving - Alfredo Tupone
* Added CTF capture event trigger for world weapons - Jeff Myers, Nathan Goings
* FlipZ on meshpyrs behaves as expected (like pyramids) - Daniel Remenak
* Fixed /set and /reset command case bug - Daniel Remenak
* Fixed crash on /ban without -banfile - Daniel Remenak
* Shot reload timer on the HUD - Daniel Remenak
* Added timestamp to bzfs DEBUG output, and new CL option (-ts) - Mark Thomas
* Players without TALK can send to the Admin group - Sean Morrison
* Fixed bzfs crash because poll kick/ban - Julio Jimenez
* Allow additional group modify permission lines - Frank Evers
* bzfs creates default groups before parsing groupdb file - Frank Evers
* +ALL and -ALL adds/removes all perms from a group in groupdb - Frank Evers
* Support for +,- and ! operators in bzfs' groupdb file - Frank Evers


BZFlag 2.0.2  "Queen of Maybe" (2005-03-18)
-------------------------------------------

* Added TALK, MUTE, UNMUTE permissions - Angelina Carlton
* Added /mute, /unmute commands - Angelina Carlton
* Automatic team try to fix bad player behaviour - Alfredo Tupone
* bzadmin does not require opengl headers - Alfredo Tupone
* bzfs handle both -mp specification - Alfredo Tupone
* bzfs correctly handles ban time - Alfredo Tupone, Julio Jimenez
* bzfs no more put jittered players as Not Responding - Alfredo Tupone
* bzfs stop shot from dead player - Alfredo Tupone
* Roaming switching between player goes even on Dead Player - Alfredo Tupone
* Fixed bzfs crash associated to "Error adding player" - Alfredo Tupone
* bzflag count a single -1 score for a tk (like server does) - Alfredo Tupone
* Fixes on hostban handling - Alfredo Tupone
* Fixed force feedback on Windows - Scott Wichser
* New Kick/Ban options using slot numbers (rendered in client) - Julio Jimenez
* Added EndShot cheat detection - Julio Jimenez
* Avoid spawning on top of tanks with SR or BU - Daniel Remenak
* Add fine-grained permissions control of polling - Daniel Remenak
* Fixed loading of colormapped PNGs - Daniel Remenak
* Add SPAWN permission, remove -requireidentify - Steve Krenzel, Tim Riker
* A /say command for server messages - Julio Jimenez, Frank Evers
* Rejoin permission for avoiding _rejoinTime limit - Frank Evers, Julio Jimenez
* A player will auto ghost if they use global authentication - Steve Krenzel
* Server announces who started a countdown - Angelina Carlton
* Fixed server start menu for windows - Daniel Remenak
* Message spam checking bug fixed - Alfredo Tupone
* Fixed no flag on building - Alfredo Tupone
* Fixed MsgQueryPlayer eventually sending AddPlayer to all - Alfredo Tupone
* Removing kicking player for missing packet - Alfredo Tupone
* Player is unpaused when coming alive - Alfredo Tupone
* Observer of winner not updating the flag fixed - Alfredo Tupone
* Fixed 2 flag per team selecting ctf on world & CommandLine - Alfredo Tupone
* Fixed lag warning counted twice - Alfredo Tupone
* Allow user to select which physical joystick axes to use - Daniel Remenak
* Fix a number of server crash bugs - Daniel Remenak
* ctf make restarting on base even when dead - Anonymous
* Fixed weirdness on Console Panel when disabling chat display - Alfredo Tupone
* Fixed a segfault with SDL and no audio - Alfredo Tupone
* bzadmin wipes argv to hide possible password - Tim Riker
* Lagstats and Playerlist no longer filtered - Steve Krenzel
* print errors in red - Frank Thilo
* simple scroll indicator for control panel - Frank Thilo
* antiban perm actually counters a server ban now - Steve Krenzel


BZFlag 2.0.0  "Falcor's Despair" (2005-01-17)
---------------------------------------------

* Added a .desktop file - David Trowbridge
* Tool for converting obj to bzw - Jeff Myers
* Addition of converted ProFont font - Andrew Keyser
* Added a file syntax section to bzw.5 - Fred Cods
* Added a bzw.5 manpage to document world file format - Sean Morrison
* Added /quit command - Angelina Carlton
* Display player addr on join to admins - Sean Morrison
* Make -debug a public client option - Frank Thilo
* Communicate autopilot state, display in scoreboard - Frank Thilo
* Observer counts and match times added to game queries - David Vuorio
* Central authentication - Tim Riker
* Avoid transfer flag cheat - Alfredo Tupone
* Cheat client flag obfuscation and hiding - Alfredo Tupone
* Added strong authentication via Kerberos - Alfredo Tupone
* BZFlag renders frames and accepts commands during joining - Alfredo Tupone
* Lag is computed only after entering game - Alfredo Tupone
* CTF world used for FFA make bases into boxes - Alfredo Tupone
* Allow elevated bases even without -fb - Alfredo Tupone
* Added optional duration option to /countdown - Sean Morrison
* Added shot mismatch cheat auto-kicking - Julio Jimenez
* Improved double-jump response - Anonymous
* Added physics drivers - Anonymous
* Unlimited altimeter height - Steve Krenzel
* Added /uptime command to print elapsed running time - Angelina Carlton
* Countdown command now shows players 10 sec countdown - Angelina Carlton
* Added a flapping sound for the wings flag - Sean Morrison
* Adding ability to load world from url (http, ftp, file) - Alfredo Tupone
* Reduce network load by buffering UDP packet (no delay) - Alfredo Tupone
* Allow server to control lat and long (-synclocation) - Daniel Remenak
* Added tank spawn expansion effect - Anonymous
* Added tank squishiness - Anonymous, Dave Brosius
* Added animated effects for T, N, TH, O, and CL flags - Anonymous
* BZAdmin now tells more specific reasons why it could not connect - Ian Agar
* MOTD from the master server - Jeff Myers, Daniel Remenak, Frank Thilo
* Add generic URL retrieval class - Jeff Myers, Alfredo Tupone
* Windows Multimedia and DirectInput joystick support - Daniel Remenak
* bzfs can now announce to multiple public list servers - Sean Morrison
* Global public server bans - Jeff M., Alfredo T., Daniel R., Sean M., Bryan J.
* Linux event device joystick and force feedback support - Micah Dowty
* Inform banned users of reason, originator, and source on login - Jeff Myers
* Added the SHORTBAN bzfs privilege - Anonymous, Daniel Leeds
* Added /date and /time to request server date and time - Ian Agar
* Added arc, cone, and sphere map objects - Anonymous
* Added user specified dynamic colors - Anonymous
* Added user specified texture matrices - Anonymous
* Improved BSP splitting algorithm - Anonymous
* Added /part command for disconnecting from server - Angelina Carlton
* Show status while trying to connect & download world - Daniel Remenak
* Update old configs to avoid broken keybindings - Daniel Remenak
* Config files are stored per-version, using older when needed - Jeff Myers
* Faster tank and shot collision detection using an octree - Anonymous
* Better linewrapping for control panel - Daniel Remenak
* Configurable font size for control panel and scoreboard - Daniel Remenak
* Textures are now reloaded on a mode change for optimal quality - Jeff Myers
* Automatic team joins changed to encourage team-play - Alfredo Tupone
* Fixed dropping flag while jumping from high places - Alfredo Tupone
* Lag stats are now sorted by lag value - Alfredo Tupone
* OpenGL context reloading bug fixed on SDL - Alfredo Tupone
* Roaming switch between player is now consistent - Alfredo Tupone
* Compensating jitter in Dead reckoning - Alfredo Tupone
* Ping packet loss are like high lag for warn/kick - Alfredo Tupone
* ColorBlindness now disable hunt flashing on radar - Alfredo Tupone
* SDL is made default platform, static and shared linkage - Alfredo Tupone
* Fixed bug where players get stuck on flipped pyramids - Alfredo Tupone
* Compressed map data going over the network and into caches - Anonymous
* Options to disable certain /poll's entirely on a server - Simon Richard Grint
* Lighting menu option now has "None / Fast / Best" - Anonymous
* Dev-C++ project files - Ian Agar, Daniel Remenak, Jeff Myers
* Shot accuracy statistics dialog - Daniel Remenak
* Faster zbuffer graphics using octree and dynamic occluders - Anonymous
* Faster startup times by making the SceneDatabase on the fly - Anonymous
* Autocompletion for commands & callsigns (ala bzadmin) - Ian Agar, Frank Thilo
* /clientquery can now be requested on single individuals - Ian Agar
* Added support for irc-like /me actions and /msg messages - Sean Morrison
* Seer flag now can see Invisible Bullets - Anonymous
* Added admin message sounds - Cameron Mandrake, Sean Morrison
* Better shot reflections for non-square pyramids - Anonymous
* Fixed collision detection impalement problem - Anonymous
* anti perm for pollkick, pollban, kick, ban, deregister - Sean Morrison
* antipoll bzfs anti perm to protect against poll kick/bans - Andrew Heyn
* Server Start Menu now selects Rabbit Chase styles - Ian Agar
* Tabbed Message Panel - Scott Wichser, Sean Morrison, Alfredo Tupone
* Fonts settable via BZDB - Daniel Remenak
* New font management system and fonts - Daniel Remenak, Jeff Myers
* Reduce network utilization (tolerance) - Alfredo Tupone, Sean Morrison
* WorldWeapons and EntryZones are saved client-side - Anonymous
* Improved client map saves using map 'options' - Anonymous
* Autopilot is now capable of playing CTF - Ian Agar
* bzadmin can now send and receive team and admin messages - Lars Luthman
* Added waterLevel (water-like feature for maps) - Anonymous
* Added _noShadows (to disable shadows on a server) - Anonymous
* bzadmin's curses menu will now update automagically - Lars Luthman
* Added message filter editor for bzadmin using menu or cmds - Lars Luthman
* Added team flag safety zones - Anonymous
* Added MsgScoreOver and MsgTimeUpdate to BZAdmin - Ian Agar
* Have BZAdmin allow whitespace in callsign and host - Ian Agar
* Prevent message flooding/spamming - Ian Agar
* Consolidated polling system bzfs options (-poll) - Ian Agar, Sean Morrison
* Improved server pause cheat detection and reporting - Ian Agar, Sean Morrison
* Changed the way Roaming keys drives the Observer - Alfredo Tupone
* Fixing cross-correlation between driving keys - Alfredo Tupone
* Added configuration of driving keys - Alfredo Tupone
* Server is now valgrind-happy - Alfredo Tupone, Daniel Remenak, Sean Morrison
* Limit quick rejoins - Anonymous
* Added 'options' section to world maps - Anonymous
* Added the '-set <name> <value>' option to bzfs - Anonymous
* Throw away bad or early links in world files - Tim Riker
* Added Record/Replay feature - Anonymous
* Added Random teleporter destinations - Anonymous
* Poll to reset flags and Poll-cheating prevention - Ian Agar
* Flag and Tank Entry Zones - Dave Brosius
* Spawn improvements - Dave Brosius, Daniel Remenak
* Added MAC's Agility (aka Dodge) flag - Sean Morrison
* QuickTurn flag symbol changed from A to QT - Sean Morrison
* Added MAC's handicap game style - Sean Morrison
* Added ReverseControls bad flag - Sean Morrison
* Added Wings good flag - Dave Brosius
* Added BZDB variables to allow for more realistic friction - Nils McCarthy
* Added ForwardOnly and ReverseOnly bad flags - Sean Morrison
* No Jumping and Trigger Happy flags - Nils McCarthy
* server option to disallow autopilot - Nils McCarthy
* SDL interface to audio/video/input - Tupone Alfredo
* /clientquery (was CLIENTQUERY) moved to server - Daniel Remenak
* "Leave Game" menu item to leave a game without quitting - Daniel Remenak
* Allow user to force input device to that of their choosing - Daniel Remenak
* Tanks can drive over bumps - Dave Brosius
* Remove Building scene nodes laying on the ground (or lower) - Dave Brosius
* Rip out ref counted texture system, TM controls this now - Dave Brosius
* Added Admin Message Queue - Michael Hoffman


BZFlag 1.10.8  "lightning strikes back - list server returns" (2004-10-05)
--------------------------------------------------------------------------

* New list server URL
* Added admin message sounds - Cameron Mandrake, Sean Morrison
* Throw away bad or early links in world files - Tim Riker


BZFlag 1.10.6  "the little hop" (2004-05-14)
--------------------------------------------

* Fixed the little hop on spawn at some sites - Alfredo Tupone
* Fixed issue of players add/removing others from groups - Alfredo Tupone
* Fixed false positive filter matches involving apostrophes - Sean Morrison
* Curing ghost/duplicated/ungettable flag - Alfredo Tupone
* Fixed 0 height flag, no more flags inside buildings - Alfredo Tupone
* Observers see Masquerade tank with their true color - Alfredo Tupone
* Password file now supports callsigns with non alphanumerics - Alfredo Tupone
* Support for building BZAdmin with PDCurses on Windows - Daniel Remenak
* Correctly read PNG textures with multiple IDAT chunks - Daniel Remenak
* Add aggressive filtering support for all platforms - Sean Morrison
* bans based on hostmask (/hostban, ...) when adns is available - Nils McCarthy
* Fixed bug that allowed empty callsigns - Frank Thilo
* server option to disallow autopilot - Nils McCarthy
* Bots drive around corners faster - Frank Thilo
* Bots aim better, try to evade shots - Frank Thilo


BZFlag 1.10.4  "not a smurf" (2004-01-24)
-----------------------------------------

* Allow user to define quickMessages via the menu system - Frank Thilo
* Defaults vars are written to config but commented out - Dave Brosius
* Added -show and -hide options to bzadmin for messages - Lars Luthman
* Added support for more message types to bzadmin - Ian Agar, Lars Luthman
* Added menu w/ BZDB editor and playerlist to bzadmin curses UI - Lars Luthman
* can freeze tod in client, if allowed, via -time hh:mm:ss - Tupone Alfredo
* Allow variable number team flags per team with +f bzfs option - Dave Brosius
* Added private and team chat sounds - Sean Morrison
* Specify a world file on the Start Server menu gui - Sean Morrison
* Server sends warning to privmsg sender to an invalid target - Lars Luthman
* bots now fully handle collision check - Tupone Alfredo
* -filterCallsigns filters email too now - Lars Luthman
* allow multiple team flags per team thru -c 5 - Dave Brosius
* -maxidle handles idle / paused players the same - Frank Thilo
* Added optional density to generated maps - Sean Morrison, Frank Thilo
* Add pause time to /idlestats - Sean Morrison
* Notify players when reassigned to a different team on join - Sean Morrison
* Allow multiple bases per team - Dave Brosius
* Use cyan for observer messages in old console color mode - Frank Thilo
* Config file based auto-identify - Tupone Alfredo, Sean Morrison, Frank Thilo
* List Server checks ip of requesting server - Tupone Alfredo
* AutoPilot does not base path on stealth echo anymore - Dave Brosius
* Alt-Tab & resolution changes does not mess up the screen - Tupone Alfredo
* No shooting allowed if OO flag is lost in a building - Tupone Alfredo
* Killed player stop drifting & clean dirty tank pieces - Tupone Alfredo
* Rabbit score changed and values displayed on HUD - Tupone Alfredo
* Sound samples are resampled since bzflag doesn't - Tupone Alfredo
* Unclean client disconnects are recognized earlier - Tupone Alfredo
* Async communication between bzfs and list server - Tupone Alfredo
* Added bzfs -rabbit option selection algorithm support - Nils McCarthy
* Added the REQUIREIDENTIFY permission - Nils McCarthy
* Added bzfs option to deny clients that do not identify - Nils McCarthy
* Color carried team flags according to their team - Sean Morrison
* Start of better spawn positions based on tanks - Dave Brosius
* PNG image writing for screenshots - Daniel Remenak
* Texture Manager only loads textures when needed - Jeff Myers
* Renamed and reorganized texture resources - Jeff Myers
* BZDB alternate image dir added - Jeff Myers
* Improved transparent proxy support - Alfredo Tupone, Sean Morrison
* Ground Texture Repeat added to BZDB, default increased to 0.1 - Jeff Myers
* Added ability to have and use per-team colored textures - Jeff Myers
* Added support for colored and zoned ground textures - Jeff Myers
* Hunter tanks try to use "hunter" texture if found - Jeff Myers
* Hunter tanks are colored orange color if not using a texture - Jeff Myers
* Menu uses its own image for the arrow, menu_arrow.png - Jeff Myers
* Rename team based datafiles to have the team in the name - Jeff Myers
* Map objects search for colored textures and use them if found - Jeff Myers
* Bases search for colored team textures and use them if found - Jeff Myers
* Added object-specified texture support for tanks & maps - Jeff Myers
* Menu Arrow supports animations - Jeff Myers
* Base wall and top textures - Jeff Myers
* Hunter name used for kill, lock, and info messages - Jeff Myers
* Increase resolution of textures to look better - Jeff Myers
* Add experimental quality setting for enhanced effects - Jeff Myers
* Tunf off tank LOD, and ground grid for experimental quality - Jeff Myers
* Add sides to the body of the hightank model - Jeff Myers
* Improve flag texture for high and experimental quality levels - Jeff Myers
* Increase moon segments for exp. quality - Jeff Myers
* Replace flag texture with one from pyBZFlag - Jeff Myers
* Added ability to set flagpole width for exp. quality level - Jeff Myers
* Don't do teleporter fog when roaming as an observer - Jeff Myers
* Pull many world textures from pyBZFlag - Jeff Myers


BZFlag 1.10.2 (2003-12-23)
--------------------------

* improved transparent proxy support for server - Frank Thilo, Alfredo Tupone
* Stop infinite spawn loop with complex worlds containing big pyramids
* Misc Swear processing fixes - Sean Morrison
* Allow banfile to be empty or not exist
* Don't let zoned tanks flatten Burrowed tanks
* Don't spawn in multiple locations based on multiple r-clicks
* Don't get speed kicked ejecting from buildings due to expansion
* Fix game style menu position
* Take flipz collisions in account for pyramids
* Fix Respawning after non-shot kills (Geno, Self Destruct, etc)
* More caching of BZBD vars - Frank Thilo
* ServerList uses strict http/1.1 - Frank Thilo
* Fix playercounts in rabbit mode
* GM now tracks player in slot 0
* Relax kick tolerances and soften kick messages - Sean Morrison
* Better lag stats - Frank Thilo
* Server-side Autoteam - Sean Morrison, Tupone Alfredo, Frank Thilo
* Remove bad lite effects with Thief steal
* Protect against crashes due to bad shot ids
* Better key binding - Tupone Alfredo, Dave Brosius
* Relax flag drop time for speed checking - Sean Morrison
* Better unresponsive player removal messages
* added kill messages as an option to bzadmin - Lars Luthman
* let genocided players spawn again - Lars Luthman
* auto team is now handled solely in the server - Frank Thilo
* increase averaging for jitter and loss values in lagstats - Frank Thilo
* mrtg script updated - Tim Riker


BZFlag 1.10.0  "Break the world" (2003-12-09 was 1.9.x)
-------------------------------------------------------

* control spawn on buildings with -sb - Frank Thilo
* Initial Docbook documentation - Sean Morrison
* Persistent bans with -banfile <filename> - Lars Luthman
* Streamroll collision detection is now compressed in height - Alfredo Tupone
* Rendering options are actuated immediately - Alfredo Tupone
* Height of base thickness (in world files) goes over the wire - Alfredo Tupone
* Fixed collision-detection for many cases - Alfredo Tupone
	falling through floor when lagging
	being stuck when tank expands
	shot going into the ground
	collision with pyramids
* Avoiding stuck on connection - Alfredo Tupone
* Web/Database based list server - Alfredo Tupone, ...
* Fixed bugs in the bzfs manual and the bzfs help output - KR (through Lars)
* Save world files from the client - Dave Brosius
* Drop flags on pause after timeout - Sean Morrison
* Set size of shots on radar - Sean Morrison
* Server spawn positions - Dave Brosius
* Added client-side automatic team selection - Alfredo Tupone, Sean Morrison
* Calc jitter based on client timestamps in MsgPlayerUpdate - Frank Thilo
* Add /reset var server cmd - Dave Brosius
* Add /set var value server cmd - Dave Brosius
* improved /ban /banlist added reason and time parsing - Dennis Pedersen
* Shortened GM to 0.95 normal shot (tunable) - Tim Riker
* tarball now supports "rpm -tb <foo>.tar.gz" - Tim Riker
* bzfs uses 1 port instead of 2 - Alfredo Tupone
* bzflag is officially assigned port 5154 as default - IANA, Tim Riker
* bots (-solo) game is by far more playable - Alfredo Tupone
* Added client-side chat filtering - Sean Morrison
* Configuration files and cache is stored in ~/.bzf/ on *IX - Lars Luthman
* Added team ID to shots for TK reasons (1.9.2) - Jeff Myers
* Changed version numbers to be xx.xx.xx and display the build OS & Date
    - Jeff Myers & others for auto tools
* Added voting system with /poll, /vote, and /veto commands - Sean Morrison
* Added bzadmin - Lars Luthman
* Munitions now bounce off buildings/ground in z direction - Dave Brosius
* World object and -worldsize parameters - Jeff Myers
* Server side world parm (bzdb) file [clo] - Dave Brosius
* MsgTeamUpdate, MsgFlagUpdate coalesced - Dave Brosius
* Burrow Flag - Dave Brosius
* Observer is a first class team - Dave Brosius
* AutoPilot from 1.8 - Dave Brosius
* Thief Flag - Dave Brosius
* MsgPlayerUpdate now has order, reject ooo packets - Dave Brosius
* Removed old UDP queueing code and headers - Micah Dowty
* Convert closed FlagIds to flexible FlagType's
    - Micah Dowty, Dave Brosius, Tim Riker
* Add back PNG support from 1.8 - Dave Brosius, Sean Morrison
* Add back BZDB from 1.8 - David Trowbridge, Dave Brosius
* Seer, Masquerade Flags - Dave Brosius
* Don't broadcast single player messages - Dave Brosius
* Customizable map size in maps - Jeff Myers
* Drive and Shoot thru options in maps - Jeff Myers
* Show Team kill score in Scoreboard - Dave Brosius
* Beginnings of flag 'negotiation' - Dave Brosius
* Pass reason in MsgKilled, add support for SR noise - Dave Brosius
* Remove unnecessary MsgScore from player to server - Dave Brosius
* Remove old lag pings - Dave Brosius
* BeOS port - François Revol
* Collision detection fixes - David Trowbridge, Jeff Myers
* PlayerId -> ubyte - David Trowbridge, Frank Thilo
* Get rid of reconnect port - David Trowbridge
* Hunt opponent in HUD - Adam Krell, David Trowbridge
* Flag system cleanup - Dave Brosius
* Server-side callsign and improved chat filtering - Sean Morrison
* Rabbit game style - David Trowbridge, Dave Brosius


BZFlag 1.7g2  "Steely Eyed Banana" (2003-06-17 was 1.7g1)
---------------------------------------------------------

* public release now under LGPL v2.1 - Tim Riker
* change LICENSE to COPYING - Tim Riker
* server administration stuff - Jeff Myers, Frank Thilo, David Trowbridge
* admin-by-keys - Michael Hoffman
* /help messages - Michael Hoffman, David Trowbridge
* New super-bullet texture - Justin Zaun, Jeff Mills, David Trowbridge
* IRIX fixes - David Trowbridge
* cygwin/mingw32 fixes - Tupone Alfredo
* Solaris fixes - David Trowbridge
* OSX Fixes - Sean Morrison, David Wollner
* server list cache - Michael Hoffman
* E-mail field fixes - Lars Luthman
* colorized console - Anonymous, David Trowbridge
* automake/autoconf - Tupone Alfredo, David Trowbridge, Tim Riker
* check for unknown message types - Frank Thilo
* check incoming TCP for oversized messages and dump player - Frank Thilo
* multiline server and ad messages with '\n' - Lars Luthman
* -speedtol server option: specify tolerance for speed kick - Jeff Myers
* /report server command - Lars Luthman
* -sl server option: shot limit for flags - Michael Hoffman
* limit /password tries - Jeff Myers
* -tftimeout server option - Lars Luthman
* put observers to the bottom of the scoreboard - Lars Luthman
* resize mouse boxes - Frank Thilo
* choose [un]silence - Michael Hoffman, Tim Riker
* flag on radar/view on/off - Michael Hoffman, Tim Riker
* -badword server support - Dave Brosius
* resize radar/msg area - Frank Thilo
* Drop team flags where player last was on exit - Dave Brosius
* tanks driving too fast are kicked - Dave Brosius
* remove non-printable characters in callsign in server - Frank Thilo
* +f sw{5} syntax to add a bunch of flags - Dave Brosius
* tanks which jump too high get kicked - Dave Brosius
* server drops bogus shots (anti cheating)
    - Tim Riker, Dave Brosius, Frank Thilo
* i18n support in client - Dave Brosius, Isak Styf
* Optional config file interface for bzfs settings - Dave Brosius
* inline editing of text fields (<- ->) - Dave Brosius, Frank Thilo
* extend admin command -> /flag reset unused - Dave Brosius


BZFlag 1.7g0  "Holy Dancing Monkeys" (2002-12-08 was 1.7e7)
-----------------------------------------------------------

* -tkkr auto team killer - Dave Brosius
* world file caching - Colin Bayer, Dave Brosius, others
* optional tank labels for roaming - Frank Thilo, Tim Riker
* draw tank lights correctly for (T)(N)(O) tanks - Dave Brosius
* new GUI options menu - Frank Thilo
* exclude observers from /idlestats list - Frank Thilo
* server based scoring - Dave Brosius, Tim Riker
* max. number of observers now defaults to 3 instead of 0 - Frank Thilo
* Use high water marks for player cnts to reduce looping - Dave Brosius
* new bzfs option -tk: team killers do not die - Frank Thilo
* misc @observer mode fixes - Andrew Greig
* Improved Mac OS X support - Kevin Avila
* disallow dud flags (eg jump in a jump world) - Dave Brosius
* self destruct key, for stuck tanks - Dave Brosius
* team killers die - Tim Riker
* increase max player and robot counts - Tim Riker
* Fix 'Change Key Mapping' arrowkeys - Andrew Greig
* show the time in upper right if no flag
* opacity in config - Dave Brosius, Tim Riker
* [UN]SILENCE - Dave Brosius, Tim Riker
* revert lag falling patch - Tim Riker, Dave Brosius
* teamgrab.wav - Dave Brosius
* improved texture mapping - unknown
* possible win32 installer bug - Chris Walters
* gcc 3.1+ patches - David Trowbridge


BZFlag 1.7e6  "Armoured Smashing Fist" (2002-06-19 was 1.7e5)
-------------------------------------------------------------

* new HUD! - David Trowbridge, Tim Riker, many others
* added temporary bans (minutes) - Dave Brosius
* Can now build entire win32 installer from VC Workspace - Dave Brosius
* non-listserver connection gave 0.0.0.0 as host: fixed - Dave Brosius
* added private messages - Frank Thilo
* modified / added roaming support for observers - Frank Thilo
* added /idlekick server option - Frank Thilo
* fix /ban and add /unban - Frank Thilo
* allow both -mp # and -mp #,#,#,#,# - Frank Thilo
* CTF flag returning to base fixes - Frank Thilo
* sort teams by score, sort in self - Janne Hassinen, Tim Riker
* observer hack, should be a team - Frank Thilo
* /countdown, /lagwarn - Frank Thilo
* PatchId fixes - Frank Thilo, Tim Riker
* New lag measurement using pings - Frank Thilo
* Reassign keyboard menu is now in two columns - Dave Brosius
* Fix MsgMessage and CLIENTQUERY handling - Frank Thilo
* -ban - David Trowbridge, Dave Brosius, Tim Riker
* Mac OSX work - Kevin Avila <kevin@hzsystems.com>
* -cr random ctf maps - Tim Riker, Frank Thilo
* bots in building fix - Tim Riker, Harry Dodgson
* Pause and not responding on HUD - Frank Thilo
* Message History buffer - Dave Brosius (cleaned by Tim Riker)
* Nemesis set on direct receive - Frank Thilo
* LT and RT command line aliases for shell impaired - Tim Riker
* radar shade flags by altitude - Tim Riker (reworked from Jeremiah)
* different kill msgs - Sal Gonzalez, Tim Riker
* brighter radar colors - Tim Riker with much input from others
* team colored shock wave - Tim Riker
* team colored lasers - Dave Brosius
* turn off ctf, if bases not found in world file - Dave Brosius
* patchid optimization for new clients - Dave Brosius
* udp request fix for later clients - Tim Riker
* MsgEnter should not be patched for ID - Frank Thilo
* Removed superfluous buffer copies in bzfs buffer sends - Dave Brosius
* Better pack/unpack code for vectors [3] - Dave Brosius
* Fix Teamflag drop over building when building at 0,0,0 - Dave Brosius
* Fix flags spawning in pyramids - Dave Brosius
* Fix client crashes with UNKNOWNS - Valery Fouques
* fix patchMessage for MsgAlive - Dave Brosius
* fix find closest flag (ID) with flags on buildings - Dave Brosius
* scale flags bases on elevation - Tim Riker
* don't scale radar based on screen res - Tim Riker
* flag radar updated - Tim Riker
* new admin commands - Tim Riker
* -pr for reconnect port (two port tcp) - Tim Riker


BZFlag 1.7e4 (2001-11-27 was 1.7e3)
-----------------------------------

* ::memset() instead of bzero() - Björn Augustsson
* win32 audio thread fix for win2k - crs
* send to nemesis - Dave Brosius, Frank Thilo
* USB joystick support - Nick Sayer
* new (faster?) radar jamming code - Mathias Gumz
* sort by score - Colin Bayer, Dave Brosius, Tim Riker
* world file rad -> deg - Tim Riker
* add player flag display to HUD - Tim Riker (prompted by Colin Bayer)
* random height pyramids too - Tim Riker
* dim rogue color when blind - Colin Bayer
* colorize shots on radar - Colin Bayer
* keyboard movement - Pier Donini
* win32 connect thread - Valery Fouques
* new sounds - Dave Brosius
* warnings - Dave Brosius
* safer placement - Frank Thilo
* don't color shots when CB - Valery Fouques
* jump while typing - Valery Fouques
* don't lock on paused or not responding - Valery Fouques
* -lagdrop server option - Colin Bayer
* fix team flag display - Colin Bayer
* add rogue team and radar colors to config - Valery Fouques
* Shots as lines on radar - Valery Fouques, Tim Riker
* CTF world from file - Colin Bayer, Tim Riker
* patch playerIds to prepare for one tcp port - Tim Riker
* missile sound effect - Dave Brosius
* udp first then multicast, IRIX fix? (use -i <> for multicast) - Tim Riker
* enhanced radar - Jeremiah Moss
* don't relay read in player read - Frank Thilo, Tim Riker
* -fb flags on box buildings - Tim Riker, Colin Bayer
* networking code fixes - Tim Riker, Frank Thilo, etc.
* new admin commands - Tim Riker
* enhance SR - Tim Riker, Dave Brosius
* rotated/elevated bases - David Trowbridge, Tim Riker
* GM lock alert msg/sound - Tim Riker (prompted by Colin Bayer)


BZFlag 1.7e2 (2001-04-17)
-------------------------

* bzfs performance fix, wait loop removal - Frank Thilo, Tim Riker
* limbo flag bugfix - Frank Thilo
* *bsd cleanups from new ports maintainer - Nick Sayer
* scrollback cleanups - crs
* minimum size now 256x192 - Tim Riker
* various bug fixes - many


BZFlag 1.7e1 (2001-03-10)
-------------------------

* optional UDP unicast networking, back-compatible w/ old TCP method - frank
* GM now leave smoke trail - frank
* Explosions are larger - frank
* Scrollback and Line wrap (use pageup/down keys) - Digit1
* radar tank dots are larger - frank
* robots have playerxx names and player's email - Tim Riker
* colorize console messages - Tim Riker
* robots score when killing 'owner' - Frank Thilo
* flags under high buildings - Jeremiah Moss
* "world" section in world from file - Jeremiah Moss
* dim paused/nr tanks on radar - Frank Thilo
* fix bzfls for servers on non-5155 - Tim Riker
* pgup/pgdn support in help menu - Kris Verbeeck
* stop using signal() as suggested by Frank Thilo - Tim Riker
* Triple buffering support (actually n way buffering) - XiGraphics
* Joystick support - XiGraphics
* teleporter shot handling improved - chestal
* udp network code reworking to select() on one server port - Tim Riker
* rogue tank placement on enter - chestal
* pseudo variable height buildings in cf mode - Tim Riker
* don't drain and flush audio on solaris - frank
* alpha Macintosh port - Darrell Walisser
* quick message support - Kris Verbeeck
* /kick and /lagstats server messages, -passwd - Frank Thilo


BZFlag 1.7e release 000 (2001-01-26)
------------------------------------

* Tim Riker <Tim@Rikers.org> now maintainer
* build now 3 digits so alpha sorts work (until we hit 1.10? ;-)
* copyright and naming changes
* save flaghelp and score state
* FreeBSD patch - Eric Anholt
* world creation reordering to support world from file
* compilation with VC++6 - Jeremiah Moss
* world from a file - Daniel Léonard
* travel underneath floating buildings - Jeremiah Moss
* radar update to not hide teleporters under buildings - Jeremiah Moss
* teleporter player positioning - Jeremiah Moss
* bottoms on floating buildings - Jeremiah Moss
* Windows highest refresh rate on program switch - Jeremiah Moss
* dns lookups on list server for faster server lists
* non-blocking I/O for bzfs and name lookups - crs
* phantom player fix - Frank Siegert


BZFlag 1.7d release 9 (2000-02-01)
----------------------------------

* fixed bug in parsing arguments in bzfls
* fixed reference counting bug in bzfls
* improved win32 config file location - Daniel Léonard


BZFlag 1.7d release 8
---------------------

* fixed bug in bzfs that caused the player table to fill up
* fixed bugs in bzfls that left open sockets and leaked memory
* fixed bug in bzfls that could cause one server to be listed multiple times
* made bzfls more picky about format of messages
* added uptime to bzfls statistics
* changed bzfls protocol and bzfs to match
    deliberately not backwards compatible to force upgrades
* gave flag help messages more space to avoid overlapping target box


BZFlag 1.7d release 7
---------------------

* added sym link for bzfs in RPM spec file
    can't launch server from client without it
* changed RPM naming scheme to be more standard (now named 1.7d.7)
* fixes for solaris compiler
* fixed tarball make target to include top level directory
* fixes to avoid making OpenGL calls after exiting main
* fixed mix-up between brightness and volume controls on options menu
* fixed busy wait bug in linux sound code
* incremented number of sound chunks on linux and fixed low water mark
* reduced sound latency on linux
* doubled sound volume
* fixes for linux resolution changes (now destroys/recreates OpenGL contexts)
* workaround for accelerated glx preventing screen redraw after exit
* added -3dfx and -no3dfx bzflag options to set/unset MESA_GLX_FX


BZFlag 1.7d release 6
---------------------

* now allows user to configure a non-optimized build (e.g. make linux-noopt)
* added tarball make target to gather source tree into a tarball
* modified spec file for RPM packaging - Tim Riker
* more sound fixes
    now always writes sound even when silent (which simplifies things)
    now handles failure of SNDCTL_DSP_SETFRAGMENT
    BZF_NOAUDIO_POST env var disables latency workaround when SETFRAGMENT fails
    fixed bug that caused some truncated chunks
* video format menu now uses multiple pages if lots of formats
* now ungrabs mouse on pause and grabs on resume (if grabbing)
* players now drop a team flag when pausing (prevents a cheat)
* made some readouts more readable at low resolution (changed font)
* changes to bzfs to make it more robust against network errors
* fixed bzfs messages to bzfls (was only ever sending ADD messages)
* bzfls now keeps traffic statistics (SIGUSR2 dumps to /var/tmp/bzfls.cnt)
* added man pages for bzfls and bzfrelay


BZFlag 1.7d release 5
---------------------

* now allows user to configure a debug build (e.g. make linux-i386-debug)
* cleaned up some compiler warnings
* fixed silliness in PIXELFORMATDESCRIPTOR stuff in win32
* fixed multicasting support
* fixed sound volume bug (reset to zero in config if quit when paused)
* fixed handling of window close under X windows
* fixed several serious bugs in sound filtering
    coordinate system was totally wrong
    various calculations were incorrect
* improved sound support on linux and got sound working on linux ppc
* improved stereo panning filtering
    new transfer function does better directional attenuation
* added inter-aural delay to enhance stereo separation
* added support for brightness control (i.e. gamma correction)
    only available on PseudoColor or DirectColor visuals under X
    only available on win32 if using colormap or SetDeviceGammaRamp() works
* added custom visual choosing algorithm on X (to prefer DirectColor over True)
    making it more likely to get a gamma correctable visual
* added support for destroying/recreating OpenGL context on-the-fly
    required to support dynamic video format changing on win32
* support for dynamic changing of video format on xfree86 and win32
    removed startup format picker on win32 -- change format through options
* improved integration with win32 desktop (alt-tab, screen saver, etc.)
    minimizes on loss of focus;  disables annoying key sequences
* config file on win32 now saved in a consistent location


BZFlag 1.7d release 4
---------------------

* changed LICENSE to the GNU GPL version 2
* server can now register itself with multiple list servers
* client can now check multiple list servers at once
* bzfls can now dump server list to a file (using USR1)
* bzfls can now bootstrap server list from a file
* now truncates descriptions that are too long;  was rejecting server
* fixed ref count bug in bzfls


BZFlag 1.7d release 3
---------------------

* fixed truncation of server list reads
* fixed menuing bug in find servers when no servers found
* -geometry is no longer ignored for 3Dfx cards
* turned off roaming and snapshotting in non-debug builds
* `-list default' now resets server list url to default
* simplified maintenance of version number
* fixed output from -version on win32
* added window border on win32 when using -window
* re-fixed bzfls query reading-freed-memory bug (regressed somehow)


BZFlag 1.7d release 2
---------------------

* fixed reading-freed-memory bug in client querying of bzfls
* replaced incorrect use of errno with getErrno()
* fixed bug in ServerLink::read();  now won't try to recv() zero bytes


BZFlag 1.7d release 1
---------------------

* starting from 1.7c release 2 patch 3
* preliminary support for bzfls, a server for listing bzfs servers
* changed win32 installer to ignore errors when changing the registry
* added extra help output when bzflag can't find font files
* fixed badly matched braces that broke multicast code


BZFlag 1.7c release 2 patch 3
-----------------------------

* fixed byte-order problem in bzfrelay - Tim Riker
* unix portability fix:  replaced cuserid() with getuid() - Erik Andersen
* now links mesa as GL and GLU to support non-mesa
* fixed bug in linux multicast support


BZFlag 1.7c release 2 patch 2
-----------------------------

* final solaris sound support - Andrew White


BZFlag 1.7c release 2 patch 1
-----------------------------

* added solaris to configuration list
* preliminary sound support on Solaris - Andrew White
* fixed 32 bit dependency;  now works on 64 bit (alpha) linux - Phillip Ezolt
* added missing entries in irix packaging (some data files)
* added stacked stereo patch - Stea Greene


BZFlag 1.7c release 2
---------------------

first official open source release.

* misc. changes for solaris - Björn Augustsson
* changed u_int* to uint*
* replaced [ds]rand48() with [s]rand()
* changed variable name `sun' with 'theSun'
* changed ioctl FIONBIO to fcntl O_NDELAY
* changed FNDELAY to O_NDELAY
* glColor*() are macros;  changed code that took address of function
* no hstrerror
* solaris defines SIG_PF
* added unofficial solaris config - Björn Augustsson
* porting is not complete
* not included in platform list
* made generic linux config - Phillip Ezolt
* ifdef'd DEADLINE code for irix
* static/dynamic libaudio fix for irix
* friend class workaround for irix 7.2.1 compilers
* fixed broadcasting and multicasting on linux


BZFlag 1.7c release 1
---------------------

preliminary open source release.
